List Mobile Top-Ups
curl --request GET \
--url https://api.oneclickdz.com/v3/mobile/list \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.oneclickdz.com/v3/mobile/list"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.oneclickdz.com/v3/mobile/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
},
"meta": {
"timestamp": "<string>"
}
}Mobile Top-Ups
List Mobile Top-Ups
Get paginated list of mobile top-up transactions
GET
/
v3
/
mobile
/
list
List Mobile Top-Ups
Overview
Returns a paginated list of all mobile top-up transactions for your account with optional date filtering.Query Parameters
integer
default:1
Page number (minimum: 1)
integer
default:20
Items per page (minimum: 1, maximum: 100)
string
Start date filter (ISO 8601:
2025-10-01T00:00:00Z)string
End date filter (ISO 8601:
2025-10-31T23:59:59Z)Both
from and to must be provided together when filtering by date.Response
boolean
required
Indicates if the request was successful
object
required
Examples
curl https://api.oneclickdz.com/v3/mobile/list?page=1&pageSize=20 \
-H "X-Access-Token: YOUR_API_KEY"
const response = await fetch(
"https://api.oneclickdz.com/v3/mobile/list?page=1&pageSize=20",
{ headers: { "X-Access-Token": "YOUR_API_KEY" } }
);
const { data } = await response.json();
console.log(data.items, data.pagination);
response = requests.get(
'https://api.oneclickdz.com/v3/mobile/list',
headers={'X-Access-Token': 'YOUR_API_KEY'},
params={'page': 1, 'pageSize': 20}
)
items = response.json()['data']['items']
pagination = response.json()['data']['pagination']
<?php
$url = 'https://api.oneclickdz.com/v3/mobile/list?page=1&pageSize=20';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
$response = json_decode(curl_exec($ch), true);
$items = $response['data']['items'];
?>
Response Example
{
"success": true,
"data": {
"items": [
{
"ref": "API-+213665983439-test-1761698196315-suggest",
"status": "REFUNDED",
"plan_code": "PREPAID_DJEZZY",
"MSSIDN": "0600000002",
"topup_amount": 500,
"balance_amount": 0,
"created_at": "2025-10-29T00:36:36.385Z",
"_id": "69016194e9e88196b4eb64ce",
"refund_message": "هذا رقم الهاتف لا يقبل العرض المرسل، الرجاء إرسال أحد العروض التالية",
"suggested_offers": [
{
"typename": "📋 FACTURE | فاتورة",
"plan_code": "FACTURE_DJEZZY",
"amount": 500
}
]
},
{
"ref": "API-+213665983439-test-1761698175883-refund",
"status": "REFUNDED",
"plan_code": "PREPAID_DJEZZY",
"MSSIDN": "0600000001",
"topup_amount": 500,
"balance_amount": 0,
"created_at": "2025-10-29T00:36:15.952Z",
"_id": "6901617fe9e88196b4eb64c7",
"refund_message": "رقم الهاتف خاطئ يرجى التحقق منه"
},
{
"ref": "API-+213665983439-test-1761698159224-success",
"status": "FULFILLED",
"plan_code": "PREPAID_DJEZZY",
"MSSIDN": "0778037340",
"topup_amount": 500,
"balance_amount": 0,
"created_at": "2025-10-29T00:35:59.378Z",
"_id": "6901616fe9e88196b4eb64b0"
}
],
"pagination": {
"page": 1,
"pageSize": 5,
"totalPages": 72,
"totalResults": 358
}
},
"meta": {
"timestamp": "2025-10-29T00:36:47.159Z"
}
}
Use Cases
Transaction History
Display top-up history to users
Reports & Analytics
Generate sales reports and statistics
Reconciliation
Verify transactions and balance changes
Customer Support
Look up user transactions for support
Filtering Examples
By Date Range
curl "https://api.oneclickdz.com/v3/mobile/list?from=2025-10-01T00:00:00Z&to=2025-10-31T23:59:59Z" \
-H "X-Access-Token: YOUR_API_KEY"
const from = "2025-10-01T00:00:00Z";
const to = "2025-10-31T23:59:59Z";
const response = await fetch(
`https://api.oneclickdz.com/v3/mobile/list?from=${from}&to=${to}`,
{ headers: { "X-Access-Token": "YOUR_API_KEY" } }
);
response = requests.get(
'https://api.oneclickdz.com/v3/mobile/list',
headers={'X-Access-Token': 'YOUR_API_KEY'},
params={
'from': '2025-10-01T00:00:00Z',
'to': '2025-10-31T23:59:59Z',
'page': 1,
'pageSize': 50
}
)
Client-Side Filtering
const { items } = data;
// Filter by status
const fulfilled = items.filter((t) => t.status === "FULFILLED");
const refunded = items.filter((t) => t.status === "REFUNDED");
// Filter by operator
const djezzy = items.filter((t) => t.plan_code.includes("DJEZZY"));
// Filter by amount range
const large = items.filter((t) => t.topup_amount >= 1000);
// Calculate totals
const totalAmount = items.reduce((sum, t) => sum + t.topup_amount, 0);
const totalCost = items.reduce((sum, t) => sum + t.balance_amount, 0);
const profit = totalAmount - totalCost;
Best Practices
Efficient Pagination
Efficient Pagination
- Use reasonable page sizes (20-50 items)
- Cache results when possible
- Implement “Load More” or infinite scroll
- Use
pagination.totalPagesto determine if there are more pages
Date Filtering
Date Filtering
- Always provide both
fromandto- Use proper ISO 8601 format - Consider user’s timezone when filtering - Set reasonable date ranges for performance
Performance
Performance
- Cache list data for short periods - Use date filters to limit result sets - Avoid fetching all pages at once - Index by created_at in your local database
Display to Users
Display to Users
- Show status with icons/colors
- Format timestamps in local timezone
- Display operator logos
- Link to detailed status pages
- Show refund reason for failed top-ups
Related Endpoints
Send Top-Up
Create new top-up
Check Status
Track specific top-up
List Plans
View available plans

